# Generated from kickjack-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name kickjack

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: Kickjack - an automation kickstarter to get you up and running!
License: MIT
URL: https://github.com/jonathanchrisp/kickjack
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(rspec) >= 2.13.0
# BuildRequires: rubygem(rspec) < 2.14
BuildArch: noarch

%description
An automation framework to help people automate their application using
capybara, cucumber and ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/kickjack
%{_bindir}/kickjack-generate.rb
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/features-shell
%{gem_instdir}/kickjack.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.0.2-1
- Initial package
